Bug 680158 - group inventory>members view is blank until you click on the subtab a second time
group inventory>members view is blank until you click on the subtab a second ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-02-24 09:07 EST by John Mazzitelli
Modified: 2011-05-23 21:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-02-24 09:07:24 EST
go to group view.
click members
click to another subtab
click back to members
notice members view is empty
click on members subtab label again
notice members view is back
Comment 1 John Mazzitelli 2011-02-28 14:21:18 EST
in SubTabLayout:

            Canvas canvas = currentSubTab.getCanvas();
            if (canvas != null) {
                if (hasMember(canvas)) {
                    if (!canvas.isVisible()) {
                        canvas.show();
                    }
                } else {
                    if (!canvas.isCreated()) {
                        canvas.setOverflow(Overflow.SCROLL);
                    }
---->               addMember(canvas);
                }
                markForRedraw();
                this.currentlyDisplayed = currentSubTab;
            }


The code gets into here, where the canvas already exists, but has no members. So canvas != null, hasMembers(canvas) == false and !canvas.isCreated() is false (i.e. canvas IS created).

In the debugger, I see that canvas.isVisible() is false (which is to be expected, it isn't shown yet).

However, I never see onDraw() get called nor RefreshableView.refresh() (which MemberView has - MemberView is "canvas" above).

Question: why doesn't the code do a "canvas.show()" here like it does in the "hasMembers" if clause???
Comment 2 John Mazzitelli 2011-02-28 14:27:56 EST
If I add 

      if (!canvas.isVisible()) {
          canvas.show();
      }

after the addMembers call from my previous comment, this bug goes away.
Comment 3 John Mazzitelli 2011-02-28 14:40:55 EST
commit ca82e3d

added that if-statement to ensure the canvas is visible.
Comment 4 Sunil Kondkar 2011-03-10 06:40:56 EST
Verified on build#1086 (Version: 4.0.0-SNAPSHOT Build Number: 7b2d9f6)

The members view displays the member resources when navigating and coming back from another subtabs.

Marking as verified.
Comment 5 Corey Welton 2011-05-23 21:15:40 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:15:40 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:15:43 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:15:45 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.